interactions:
- request:
    body: '{"source_branch": "test", "target_branch": "master", "title": "Test Merge
      Request", "assignee_id": null, "assignee_ids": [7312977], "reviewer_ids": [7312977],
      "description": "This is a test merge request", "target_project_id": null, "labels":
      "", "milestone_id": null, "remove_source_branch": true, "allow_collaboration":
      true, "squash": false}'
    headers:
      accept:
      - application/json
      content-length:
      - '344'
      content-type:
      - application/json; charset=utf-8
    method: POST
    uri: https://gitlab.com/api/v4/projects/22408582/merge_requests
  response:
    body:
      string: '{"id":98794350,"iid":15,"project_id":22408582,"title":"Test Merge Request","description":"This
        is a test merge request","state":"opened","created_at":"2021-05-05T15:53:16.788Z","updated_at":"2021-05-05T15:53:16.847Z","merged_by":null,"merged_at":null,"closed_by":null,"closed_at":null,"target_branch":"master","source_branch":"test","user_notes_count":0,"upvotes":0,"downvotes":0,"author":{"id":7312977,"name":"Diogo
        Regateiro","username":"diogoregateiro","state":"active","avatar_url":"https://secure.gravatar.com/avatar/e646ff70a32a61dcd818226bf69158e7?s=80\u0026d=identicon","web_url":"https://gitlab.com/diogoregateiro"},"assignees":[{"id":7312977,"name":"Diogo
        Regateiro","username":"diogoregateiro","state":"active","avatar_url":"https://secure.gravatar.com/avatar/e646ff70a32a61dcd818226bf69158e7?s=80\u0026d=identicon","web_url":"https://gitlab.com/diogoregateiro"}],"assignee":{"id":7312977,"name":"Diogo
        Regateiro","username":"diogoregateiro","state":"active","avatar_url":"https://secure.gravatar.com/avatar/e646ff70a32a61dcd818226bf69158e7?s=80\u0026d=identicon","web_url":"https://gitlab.com/diogoregateiro"},"reviewers":[{"id":7312977,"name":"Diogo
        Regateiro","username":"diogoregateiro","state":"active","avatar_url":"https://secure.gravatar.com/avatar/e646ff70a32a61dcd818226bf69158e7?s=80\u0026d=identicon","web_url":"https://gitlab.com/diogoregateiro"}],"source_project_id":22408582,"target_project_id":22408582,"labels":[],"work_in_progress":false,"milestone":null,"merge_when_pipeline_succeeds":false,"merge_status":"checking","sha":null,"merge_commit_sha":null,"squash_commit_sha":null,"discussion_locked":null,"should_remove_source_branch":null,"force_remove_source_branch":true,"reference":"!15","references":{"short":"!15","relative":"!15","full":"diogoregateiro/cicd-test!15"},"web_url":"https://gitlab.com/diogoregateiro/cicd-test/-/merge_requests/15","time_stats":{"time_estimate":0,"total_time_spent":0,"human_time_estimate":null,"human_total_time_spent":null},"squash":false,"task_completion_status":{"count":0,"completed_count":0},"has_conflicts":false,"blocking_discussions_resolved":true,"approvals_before_merge":null,"subscribed":true,"changes_count":null,"latest_build_started_at":null,"latest_build_finished_at":null,"first_deployed_to_production_at":null,"pipeline":null,"head_pipeline":null,"diff_refs":{"base_sha":null,"head_sha":null,"start_sha":"4329ce4c28954da908a0771ee799a62b3c536867"},"merge_error":null,"user":{"can_merge":true}}'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 64ab2406698c5409-LHR
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Wed, 05 May 2021 15:53:17 GMT
      Etag:
      - W/"3bd7d11c136e5e72d242ecd92538261b"
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-08-lb-gprd
      GitLab-SV:
      - api-14-sv-gprd
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Server:
      - cloudflare
      Set-Cookie:
      - __cfduid=d1ea499d7c20004c26352d1a26742b1d31620229996; expires=Fri, 04-Jun-21
        15:53:16 GMT; path=/; domain=.gitlab.com; HttpOnly; SameSite=Lax; Secure
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - code_review
      X-Request-Id:
      - 01F4YKQG358AYDSSZSG2ERF70R
      X-Runtime:
      - '0.493199'
      cf-request-id:
      - 09ded4d7fc000054092a8ba000000001
    status:
      code: 201
      message: Created
    url: https://gitlab.com/api/v4/projects/22408582/merge_requests
version: 1
